bodu
-
- 1,725 total downloads
- last updated 9/24/2026
- Latest version: 1.0.0
Foundational building blocks for .NET 8: ArrayPool-backed buffer builders, a broad extension-method surface over strings, dates, numerics, spans, and enumerables, async threading primitives, text-encoding... More information -
- 817 total downloads
- last updated 9/24/2026
- Latest version: 1.0.0
Binary-to-text encodings for .NET 8 — Base16, Base32, Base45, Base58, Base62, Base64, Base85, and Bech32 — with a uniform static API, variant selection, encode-time formatting options, and decode-time leniency... More information -
- 815 total downloads
- last updated 9/28/2026
- Latest version: 1.1.0
Managed implementations of modern and legacy cryptographic primitives for .NET (block ciphers, AEAD modes, hashes/MACs, padding, transforms, the RFC 6962 Merkle tree with inclusion and consistency proofs, and... More information -
Bodu.
by: boduCollections - 889 total downloads
- last updated 9/24/2026
- Latest version: 1.0.0
Specialized generic collections for .NET 8: circular buffer, deque, evicting dictionary, sequenced dictionary, indexed and ordered sets, indexed priority queue, multi-value dictionary, multiset, range set and... More information -
- 848 total downloads
- last updated 9/24/2026
- Latest version: 1.0.0
Thread-safe collection variants for .NET 8: a lock-free Vyukov MPMC ConcurrentCircularBuffer<T>, a lock-free split-ordered ConcurrentHashSet<T>, and a lock-striped ConcurrentEvictingDictionary<TKey,TValue>... More information -
- 730 total downloads
- last updated 9/24/2026
- Latest version: 1.0.0
Recurrence-rule evaluation for .NET. Provides RecurrenceRule, an RFC 5545 iCalendar RRULE parser and occurrence enumerator (FREQ DAILY/WEEKLY/MONTHLY/YEARLY with INTERVAL, COUNT, UNTIL, WKST, and the... More information -
Bodu.
by: boduNumerics - 508 total downloads
- last updated 9/24/2026
- Latest version: 1.0.0
Numeric value primitives for .NET. Provides Fraction<T>, a generic exact-rational number type backed by any IBinaryInteger<T>; Interval<T>, an immutable bounded interval over any INumber<T> with independent... More information -
- 518 total downloads
- last updated 9/24/2026
- Latest version: 1.0.0
Shared, format-agnostic serialization primitives for the Bodu System.Text.Json-shaped text serializers (Bencode, TOML, YAML, Delimited, DotEnv, INI): the attribute family, ignore/creation/unmapped-member/naming... More information -
Bodu.
by: boduText. Toml - 408 total downloads
- last updated 9/24/2026
- Latest version: 1.0.0
A self-contained TOML (v1.0.0 / v1.1.0) library for .NET 8, shaped after System.Text.Json and matching the sibling Bodu.Text.Bencode surface: the TomlSerializer POCO mapper (converters, the full attribute... More information -
Bodu.
by: boduFinancial - 414 total downloads
- last updated 9/24/2026
- Latest version: 1.0.0
Financial primitives for .NET. Provides Money (runtime-tagged primary monetary type), Money<TCurrency> (opt-in type-parameter currency safety with implicit conversion to and explicit conversion from the runtime... More information -
Bodu.
by: boduIO. Compound - 346 total downloads
- last updated 9/24/2026
- Latest version: 1.0.0
Reader for the OLE2 / Compound File Binary (CFB) container format — the structured-storage envelope used by legacy Microsoft Office files such as .xls, .doc, .ppt, and .msg. Navigates the storage hierarchy,... More information -
- 314 total downloads
- last updated 9/24/2026
- Latest version: 0.7.1
The shared MAPI value model for the Bodu Outlook format readers: property tags and types, decoded property values with a tag-addressed collection, named-property identities, recipient and attachment... More information -
- 351 total downloads
- last updated 9/24/2026
- Latest version: 1.0.0
A resource-driven notable-date (holiday and observance) engine for .NET 8. Calendars are declarative, importable documents — concepts, rules, calculation strategies, and adjustment and resolution policies —... More information -
- 378 total downloads
- last updated 9/24/2026
- Latest version: 1.0.0
Microsoft.Extensions.DependencyInjection registration helpers for Bodu.Financial. Configures named monetary contexts and FinancialOptions through IFinancialServiceBuilder, binding currency, rounding, and... More information -
Bodu.
by: boduIO. Biff - 323 total downloads
- last updated 9/24/2026
- Latest version: 1.0.0
A low-level codec for the Excel Binary Interchange File Format (BIFF5 and BIFF8) record streams found inside legacy .xls workbooks. A forward-only, allocation-free BiffReader walks physical records, detects the... More information -
- 311 total downloads
- last updated 9/24/2026
- Latest version: 1.0.0
A narrow, read-only reader for the Excel binary workbook format (.xls): BIFF8 as written by Excel 97-2003 and BIFF5 as written by Excel 5.0/95. Exposes the raw cell values of a worksheet — strings, numbers,... More information -
- 312 total downloads
- last updated 9/24/2026
- Latest version: 1.0.0
A self-contained delimited-text (RFC 4180 CSV/TSV) library for .NET 8, shaped after System.Text.Json and matching the sibling Bodu.Text.Toml surface: the forward-only ref-struct... More information -
Bodu.
by: boduText. DotEnv - 282 total downloads
- last updated 9/24/2026
- Latest version: 1.0.0
A self-contained DotEnv library for .NET 8, shaped after System.Text.Json and matching the sibling Bodu.Text.Toml surface: the forward-only ref-struct Utf8DotEnvReader/Utf8DotEnvWriter token surface over UTF-8,... More information -
Bodu.
by: boduIO. Pst - 279 total downloads
- last updated 9/24/2026
- Latest version: 0.7.1
A low-level, read-only container library for the Outlook personal-folders format (PST / MS-PST). Reads the node database of Unicode and ANSI files — the header, the node and block B-trees, block data with the... More information -
- 271 total downloads
- last updated 9/24/2026
- Latest version: 1.0.0
System.Text.Json integration for Bodu.Numerics. Provides converters, a shared serialization policy, and the AddNumericsJsonConverters() registration helper for Fraction<T>, BigDecimal, Complex<T>, Interval<T>,... More information
- Previous
- Next